Terminal Connection Status

API Explorer
loading...
GET
/v2/Common/TerminalStatus

Terminal Connection Status retrieves the current connection status of the payment terminal. All the responses have a consistent structure informing about the terminal state. See Error Codes and Messages.

Query Parameters

request.tpn?string

Terminal profile number. Can be used to identify the terminal in SPIn Proxy environment. Required if no RegisterId.

Length10 <= length <= 12
request.registerId?string

Terminal identifier for register. [Obsolete] Can be used to identify the terminal instead of Tpn in SPIn Proxy environment. Required if no Tpn.

Length2 <= length <= 50
request.authkey?string

Merchant's authorization password. Required if no SPInToken.

Length10 <= length <= 10

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v2/Common/TerminalStatus"
{
  "TerminalStatus": "Offline",
  "Tpn": "",
  "ErrorDescription": ""
}
{
  "TerminalStatus": "Offline",
  "Tpn": "",
  "ErrorDescription": ""
}
{
  "TerminalStatus": "Offline",
  "Tpn": "",
  "ErrorDescription": ""
}